This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 319471 - install of openoffice.org-core-2.2.1-18.2.fc7 conflicts with StarOffice 8
install of openoffice.org-core-2.2.1-18.2.fc7 conflicts with StarOffice 8
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 20:02 EDT by Mike Perrin
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 02:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Error messages from update attempt on 10/4/07 (15.30 KB, text/plain)
2007-10-04 20:02 EDT, Mike Perrin
no flags Details

  None (edit)
Description Mike Perrin 2007-10-04 20:02:36 EDT
Description of problem: Install of openoffice.org-core-2.2.1-18.2.fc7 conflicts
with file from package staroffice-desktop-integration-8.0.0-124


Version-Release number of selected component (if applicable):
openoffice.org-core-2.2.1-18.2.fc7


How reproducible: Problem exists with both StarOffice Update 6 and StarOffice
Update 8.


Steps to Reproduce:
1. StarOffice8 Update 6 or 8 installed
2. Attempt Fedora 7 updates published 10/4/07 including
openoffice.org-core-2.2.1-18.2.fc7
3.
  
Actual results: Error message (typical of 69 lines) is:
file
/usr/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.database.png
from install of openoffice.org-core-2.2.1-18.2.fc7 conflicts with file from
package staroffice-desktop-integration-8.0.0-124

Expected results: OpenOffice and StarOffice can coexist.


Additional info: No compatibility problems noted with StarOffice and OpenOffice
until this OOo update.
Comment 1 Mike Perrin 2007-10-04 20:02:36 EDT
Created attachment 216851 [details]
Error messages from update attempt on 10/4/07
Comment 2 Caolan McNamara 2007-10-05 02:36:03 EDT
They conflict because they are effectively the same thing, a sufficiently new
staroffice and a sufficiently new openoffice.org. Just pick one.
Comment 3 Mike Perrin 2007-10-05 15:38:26 EDT
I realize that StarOffice and OpenOffice are essentially the same product. I
have both installed so I can understand and demonstrate the differences between
the commercial and open source versions. I still find it curious that only the
latest Fedora OpenOffice.org update package has had this conflict.

For others who may wish to maintain current updates of both StarOffice and
OpenOffice on Fedora, one solution is to use rpm with the --replacefiles option
to install the openoffice.org updates that pup/yum downloads. Since the
conflicting files are icons, it doesn't appear to matter much.

[root@homework ~]# cd /var/cache/yum/updates/packages/
[root@homework packages]# ls
openoffice.org-calc-2.2.1-18.2.fc7.i386.rpm
openoffice.org-core-2.2.1-18.2.fc7.i386.rpm
openoffice.org-draw-2.2.1-18.2.fc7.i386.rpm
openoffice.org-graphicfilter-2.2.1-18.2.fc7.i386.rpm
openoffice.org-impress-2.2.1-18.2.fc7.i386.rpm
openoffice.org-langpack-en-2.2.1-18.2.fc7.i386.rpm
openoffice.org-math-2.2.1-18.2.fc7.i386.rpm
openoffice.org-writer-2.2.1-18.2.fc7.i386.rpm
openoffice.org-xsltfilter-2.2.1-18.2.fc7.i386.rpm
[root@homework packages]# rpm -Uvh --replacefiles *.rpm
Preparing...                ########################################### [100%]
   1:openoffice.org-core    ########################################### [ 11%]
   2:openoffice.org-calc    ########################################### [ 22%]
   3:openoffice.org-draw    ########################################### [ 33%]
   4:openoffice.org-graphicf########################################### [ 44%]
   5:openoffice.org-impress ########################################### [ 56%]
   6:openoffice.org-langpack########################################### [ 67%]
   7:openoffice.org-math    ########################################### [ 78%]
   8:openoffice.org-writer  ########################################### [ 89%]
   9:openoffice.org-xsltfilt########################################### [100%]
[root@homework packages]# 
Comment 4 Caolan McNamara 2007-10-05 18:15:37 EDT
The conflict is basically because 2.2.1 OOo is effectively the same release as
the offending SO version. I'm open to practical suggestions to avoid a conflict,
but they are basically the same thing and install certain shared elements to the
same place.

Note You need to log in before you can comment on or make changes to this bug.